Benutzer-Werkzeuge

Webseiten-Werkzeuge


buster

Dies ist eine alte Version des Dokuments!


Debian Buster

  • ecryptfs ist nicht mehr enthalten, vermutlich selbst compilieren
  • leafpad ist nicht mehr enthalten, mousepad verwenden

Neu installieren

  • elogind

Upgrade von Stretch

Upgrade Stretch nach Buster

Prüfe ob Pakete verschwunden sind

aptitude search '~i(!~ODebian)'

sources.list anpassen, stretch durch buster ersetzen

sed -i 's/stretch/buster/g' /etc/apt/sources.list

Upgrade durchführen

apt-get update
apt-get upgrade
apt-get dist-upgrade

PHP 7.0 wird duch 7.3 ersetzt, das entsprechende Apache-Modul ist zu aktivieren:

a2dismod php7.0
a2enmod php7.3
service apache2 restart

Prüfungen, sollten beide ein leeres Ergebnis liefern, ansonsten sind entsprechende Nacharbeiten erforderlich

dpkg -C
apt-mark showhold

Aufräumen

apt autoremove
orphaner

cd /tmp
dpkg --get-selections | grep deinstall | cut -f 1 > deinstall.txt
joe deinstall.txt
xargs dpkg --purge < deinstall.txt
buster.1566889057.txt.gz · Zuletzt geändert: 27.08.2019 08:57 von thooge